Subject: bug#19718: read_filtered_event echos mouse events until character is inputted

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 24 Jan 2022 18:19:12 +0100

Lars Ingebrigtsen <[email-masked]> writes:

>> Because the echoing happens on a much lower level?
>
> So it's not on purpose, but just because that function uses lower-level
> functions that have this behaviour?
>
> Then perhaps those should be amended to allow inhibiting this echoing?

Yes, `read-event' does the outputting.  I've now fixed this in Emacs 29,
but I was unsure whether to add a new parameter, or extend the meaning
of the echo-keystrokes variable, so I did the latter -- nil (an
undocumented value) will now be even less updating than before.  I think
it kinda makes sense, but could see redoing this with an extra
parameter, too, if this leads to any issues.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no